Bug 203201 - unnamed parameters are passed as named into jnlp and html
unnamed parameters are passed as named into jnlp and html
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 08:59 UTC by Stepan Zebra
Modified: 2011-12-06 16:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2011-10-06 08:59:05 UTC
Product Version: NetBeans IDE Dev (Build 201110040601)
Java: 1.7.0; Java HotSpot(TM) 64-Bit Server VM 21.0-b17
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)

Parameters set in project properties as unnamed are passed as empty named to deploy script.
Are unnamed parameters even allowed in this situation? Shouldn't they be completely filtered out?
Comment 1 kcr 2011-11-07 18:34:40 UTC
Note that this depends on JavaFX issue: http://javafx-jira.kenai.com/browse/RT-17794
Comment 2 kcr 2011-11-07 18:35:37 UTC
Note that this also depends on JavaFX issue: http://javafx-jira.kenai.com/browse/RT-17553
Comment 3 Petr Somol 2011-11-09 13:37:23 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/2cf62323e08f

The fix is part of bigger change of jfx-impl.xml build script that enables further improvements and fixes. After this fix the build script behaves conditionally depending on FX SDK version. Unnamed parameters, but also other FX properties are correctly supported from JavaFX 2.0.2 but in FX 2.0 they must not be passed to FX Ant tasks to avoid crash.
Comment 4 Quality Engineering 2011-11-10 15:58:00 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/2cf62323e08f
User: Petr Somol <psomol@netbeans.org>
Log: FX-version-aware jfx-impl, also fixes #203201 unnamed parameters are passed as named
Comment 5 Petr Somol 2011-11-11 12:34:27 UTC
added correction of a mistake in Ant task setter method name
http://hg.netbeans.org/jet-main/rev/1f7121d5f4f8
Comment 6 Quality Engineering 2011-11-12 16:29:45 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1f7121d5f4f8
User: Petr Somol <psomol@netbeans.org>
Log: #203201 follow-up: correct name of argument setter in Ant task
Comment 7 Stepan Zebra 2011-12-06 16:56:20 UTC
verified in 7.1 FCS


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo